package com.dcit.authority.exception;

import com.dcit.common.enums.ResultEnum;

import lombok.Getter;

/**
* <p>Title: ManagerException</p>
* <p>Description: </p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年9月14日 下午9:07:30
*/
@Getter
public class AuthException extends RuntimeException {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1625328617474886234L;
	private Integer code;
	
	public AuthException(ResultEnum resultEnum){
		super(resultEnum.getMessage());
		this.code = resultEnum.getCode();
	}
	
	public AuthException(Integer code, String message){
		super(message);
		this.code = code;
	}
}
